var Conexion=false; // Variable que manipula la conexion.
var Servidor="procesos/um_autocomplete_loca.php"; // Determina la pagina donde buscar
var Palabra=""; //Determina la ultima palabra buscada.

var Conexion1=false; // Variable que manipula la conexion.
var Servidor1="procesos/um_autocomplete_per.php"; // Determina la pagina donde buscar
var Palabra1=""; //Determina la ultima Palabra1 buscada.

var Conexion2=false; // Variable que manipula la conexion.
var Servidor2="procesos/per_autocomplete2.php"; // Determina la pagina donde buscar
var Palabra2=""; //Determina la ultima Palabra2 buscada.
// funcion que realiza la conexion con el objeto XMLHTTP...
function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
function Conectar()
{
	if(window.XMLHttpRequest)
		Conexion=new XMLHttpRequest(); //mozilla
	else if(window.ActiveXObject)
		Conexion=new ActiveXObject("Microsoft.XMLHTTP"); //microsoft
}

function Contenido(idContenido)
{
	/* readyState devuelve el estado de la conexion. puede valer:
	 *	0- No inicializado (Es el valor inicial de readyState)
	 *	1- Abierto (El método "open" ha tenido éxito)
	 *	2- Enviado (Se ha completado la solicitud pero ningun dato ha sido recibido todavía)
	 *	3- Recibiendo
	 *	4- Respuesta completa (Todos los datos han sido recibidos)
	 */

	// En espera del valor 4
	if(Conexion.readyState!=4) return;
	/* status: contiene un codigo enviado por el servidor
	 *	200-Completado con éxito
	 *	404-No se encontró URL
	 *	414-Los valores pasados por GET superan los 512
	 * statusText: contiene el texto del estado
	 */
	if(Conexion.status==200) // Si conexion HTTP es buena !!!
	{
		//si recibimos algun valor a mostrar...
		if(Conexion.responseText)
		{
			/* Modificamos el identificador temp con el valor recibido por la consulta
			*	Podemos recibir diferentes tipos de datos:
			*	responseText-Datos devueltos por el servidor en formato cadena
			*	responseXML-Datos devueltos por el servidor en forma de documento XML
			*/
			document.getElementById(idContenido).style.display="block";
			document.getElementById(idContenido).innerHTML=Conexion.responseText;
		}else
			document.getElementById(idContenido).style.display="none";
	}else{
		document.getElementById(idContenido).innerHTML=Conexion.status+"-"+Conexion.statusText;
	}

	// Deshabilitamos la visualización del reloj
	document.getElementById("reloj").style.visibility="hidden";

	Conexion=false;
}

function Solicitud(idContenido,Cadena)
{
	
	if(Cadena && Cadena!=Palabra)
	{
		// Si ya esta conectado, cancela la solicitud en espera de que termine
		if(Conexion) return; // Previene uso repetido del boton.
		
		// Realiza la conexion
		Conectar();
		
		// Si la conexion es correcta...
		if(Conexion)
		{
			// Habilitamos la visualización del reloj
			document.getElementById("reloj").style.visibility="visible";

			// Esta variable, se utiliza para igualar con la cadena a buscar.
			Palabra=Cadena;

			/* Preparamos una conexion con el servidor:
			*	POST|GET - determina como se envian los datos al servidor
			*	true - No sincronizado. Ello significa que la página WEB no es interferida en su funcionamiento
			*	por la respuesta del servidor. El usuario puede continuar usando la página mientras el servidor
			*	retorna una respuesta que la actualizará, usualmente, en forma parcial.
			*	false - Sincronizado */
			Conexion.open("POST",Servidor,true);

			// Añade un par etiqueta/valor a la cabecera HTTP a enviar. Si no lo colocamos, no se pasan los parametros.
			Conexion.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	
			// Cada vez que el estado de la conexión (readyState) cambie se ejecutara el contenido de esta "funcion()"
			Conexion.onreadystatechange=function()
			{
				Contenido(idContenido);
			}
			
			date=new Date();
			/* Realiza la solicitud al servidor. Puede enviar una cadena de caracteres, o un objeto del tipo XML
			 * Si no deseamos enviar ningun valor, enviariamos null */
			Conexion.send("idContenido="+idContenido+"&word="+Cadena+"&"+date.getTime());
		}else
			document.getElementById(idContenido).innerHTML="No disponible";
	}
}

// Funcion que inicia la busqueda.
// Tiene que recibir el identificador donde mostrar el listado, y la cadena a buscar
function autocompletar(idContenido,Cadena)
{
	// Comprovamos que la longitud de la cadena sea superior o igual a 1 caracteres
	if(Cadena.length>=1)
	{
		if(Conexion!=false)
		{
			// Deshabilitamos la visualización del reloj
			document.getElementById("reloj").style.visibility="hidden";
			//si esta en medio de una conexion, la cancelamos
			Conexion.abort();
			Conexion=false;
		}
		Solicitud(idContenido,Cadena);
	}else
		document.getElementById(idContenido).style.display="none";
}

// Funcion que se ejecuta cuando seleccionamos un valor del desplegable
function selectItem(idContenido,value1,value2,value3,value4,value5)
{
	// Cuando pulsamos sobre el desplegable, colocamos el valor en el cuadro de texto
	document.getElementById("cod_med").value=value1;
	document.getElementById("medicina").value=value2;		
	document.getElementById("um").value=value3;
	document.getElementById("stock").value=value4;
	document.getElementById("costo").value=value5;
	document.getElementById("cantidad").focus();
	//volvemos a indicar que actualice el listado con el nuevo valor
	autocompletar(idContenido,value2);
}
///********************************************************************************************************************************************************************
function Conectar1()
{
	if(window.XMLHttpRequest)
		Conexion1=new XMLHttpRequest(); //mozilla
	else if(window.ActiveXObject)
		Conexion1=new ActiveXObject("Microsoft.XMLHTTP"); //microsoft
}

function Contenido1(idContenido1)
{
	/* readyState devuelve el estado de la Conexion1. puede valer:
	 *	0- No inicializado (Es el valor inicial de readyState)
	 *	1- Abierto (El método "open" ha tenido éxito)
	 *	2- Enviado (Se ha completado la Solicitud1 pero ningun dato ha sido recibido todavía)
	 *	3- Recibiendo
	 *	4- Respuesta completa (Todos los datos han sido recibidos)
	 */

	// En espera del valor 4
	if(Conexion1.readyState!=4) return;
	/* status: contiene un codigo enviado por el Servidor1
	 *	200-Completado con éxito
	 *	404-No se encontró URL
	 *	414-Los valores pasados por GET superan los 512
	 * statusText: contiene el texto del estado
	 */
	if(Conexion1.status==200) // Si Conexion1 HTTP es buena !!!
	{
		//si recibimos algun valor a mostrar...
		if(Conexion1.responseText)
		{
			/* Modificamos el identificador temp con el valor recibido por la consulta
			*	Podemos recibir diferentes tipos de datos:
			*	responseText-Datos devueltos por el Servidor1 en formato cadena
			*	responseXML-Datos devueltos por el Servidor1 en forma de documento XML
			*/
			document.getElementById(idContenido1).style.display="block";
			document.getElementById(idContenido1).innerHTML=Conexion1.responseText;
		}else
			document.getElementById(idContenido1).style.display="none";
	}else{
		document.getElementById(idContenido1).innerHTML=Conexion1.status+"-"+Conexion1.statusText;
	}

	// Deshabilitamos la visualización del reloj
	document.getElementById("reloj1").style.visibility="hidden";

	Conexion1=false;
}

function Solicitud1(idContenido1,Cadena)
{
	// si no recibimos cadena, no hacemos nada.
	// Cadena=la cadena a buscar en la base de datos
	/* Si cadena es igual a Palabra1, no se realiza la busqueda. Puede ser que pulsen la tecla tabulador,
	 * y no interesa que vuelva a verificar...*/
	if(Cadena && Cadena!=Palabra1)
	{
		// Si ya esta conectado, cancela la Solicitud1 en espera de que termine
		if(Conexion1) return; // Previene uso repetido del boton.
		
		// Realiza la Conexion1
		Conectar1();
		
		// Si la Conexion1 es correcta...
		if(Conexion1)
		{
			// Habilitamos la visualización del reloj
			document.getElementById("reloj1").style.visibility="visible";

			// Esta variable, se utiliza para igualar con la cadena a buscar.
			Palabra1=Cadena;

			/* Preparamos una Conexion1 con el Servidor1:
			*	POST|GET - determina como se envian los datos al Servidor1
			*	true - No sincronizado. Ello significa que la página WEB no es interferida en su funcionamiento
			*	por la respuesta del Servidor1. El usuario puede continuar usando la página mientras el Servidor1
			*	retorna una respuesta que la actualizará, usualmente, en forma parcial.
			*	false - Sincronizado */
			Conexion1.open("POST",Servidor1,true);

			// Añade un par etiqueta/valor a la cabecera HTTP a enviar. Si no lo colocamos, no se pasan los parametros.
			Conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	
			// Cada vez que el estado de la conexión (readyState) cambie se ejecutara el Contenido1 de esta "funcion()"
			Conexion1.onreadystatechange=function()
			{
				Contenido1(idContenido1);
			}
			
			date=new Date();
			/* Realiza la Solicitud1 al Servidor1. Puede enviar una cadena de caracteres, o un objeto del tipo XML
			 * Si no deseamos enviar ningun valor, enviariamos null */
			Conexion1.send("idContenido1="+idContenido1+"&word="+Cadena+"&"+date.getTime());
		}else
			document.getElementById(idContenido1).innerHTML="No disponible";
	}
}

// Funcion que inicia la busqueda.
// Tiene que recibir el identificador donde mostrar el listado, y la cadena a buscar
function autocompletar1(idContenido1,Cadena)
{
	// Comprovamos que la longitud de la cadena sea superior o igual a 1 caracteres
	if(Cadena.length>=1)
	{
		if(Conexion1!=false)
		{
			// Deshabilitamos la visualización del reloj
			document.getElementById("reloj1").style.visibility="hidden";
			//si esta en medio de una Conexion1, la cancelamos
			Conexion1.abort();
			Conexion1=false;
		}
		Solicitud1(idContenido1,Cadena);
	}else
		document.getElementById(idContenido1).style.display="none";
}

// Funcion que se ejecuta cuando seleccionamos un valor del desplegable
function selectItem1(idContenido1,value1,value2,value3,value4)
{
	// Cuando pulsamos sobre el desplegable, colocamos el valor en el cuadro de texto
	document.getElementById("docid").value=value1;	
	document.getElementById("nombre").value=value2;
	document.getElementById("cargo_per").value=value3;
	document.getElementById("razon_emp").value=value4;
	//volvemos a indicar que actualice el listado con el nuevo valor
	autocompletar1(idContenido1,value2);
}
//**********************************************************************************************************************************************************************
function enviarDatos(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');
  
  nom_medi=document.form1.medicina.value;
  cant_medi=Math.round(document.form1.cantidad.value);
  um_medi=document.form1.um.value;
  cost_medi=document.form1.costo.value;
  cod_medi=document.form1.cod_med.value;  
  stock_medi=Math.round(document.form1.stock.value);
  if (document.form1.cantidad.value==""){
	  alert("No Ingreso la Cantidad de Medicina");
	  document.form1.cantidad.focus();
	  return;
  }else{
	  	if(cant_medi>stock_medi)
		{alert("No Hay Stock para ejecutar esta ejecucion....Debe Realizar un Ingreso de Medicina");
		document.form1.cantidad.focus();
   	    return;}
		else{
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/um_envia_dato_canasta.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCampos();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("medicina="+nom_medi+"&cantidad="+cant_medi+"&um="+um_medi+"&costo="+cost_medi+"&cod_med="+cod_medi)
		}
  }
}
function LimpiarCampos(){
  document.form1.medicina.value="";
  document.form1.cantidad.value=""; 
  document.form1.um.value="";
  document.form1.stock.value="";
  document.form1.costo.value="";
  document.form1.medicina.focus();
  }
function DatosDeleteItem(clave){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/um_borrarItem_atenmedi.php?clave="+clave,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}